VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::access::ShellTypes::ShellConfig Class Reference

`Shell.ShellConfig` class Structure that defines shell configuration. More...

List of all members.

## Public Member Functions
| ShellConfig ()
| Creates a default new instance.
bool | GetEnabled ()
| Enabled can be set to true or false.
void | SetEnabled (bool enabled)
| Enabled can be set to true or false.
long | GetTimeout ()
| The timeout (in seconds) specifies how long you enable the Shell access.
void | SetTimeout (long timeout)
| The timeout (in seconds) specifies how long you enable the Shell access.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Shell.ShellConfig` class Structure that defines shell configuration.

## Constructor & Destructor Documentation

vmware::appliance::access::ShellTypes::ShellConfig::ShellConfig | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::access::ShellTypes::ShellConfig::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::access::ShellTypes::ShellConfig::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::access::ShellTypes::ShellConfig::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::access::ShellTypes::ShellConfig::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::access::ShellTypes::ShellConfig::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::access::ShellTypes::ShellConfig::Equals | ( | object | obj | ) | `[inline]`

bool vmware::appliance::access::ShellTypes::ShellConfig::GetEnabled | ( |  | ) | `[inline]`

Enabled can be set to true or false.

override int vmware::appliance::access::ShellTypes::ShellConfig::GetHashCode | ( |  | ) | `[inline]`

long vmware::appliance::access::ShellTypes::ShellConfig::GetTimeout | ( |  | ) | `[inline]`

The timeout (in seconds) specifies how long you enable the Shell access.

The maximum timeout is 86400 seconds(1 day).

void vmware::appliance::access::ShellTypes::ShellConfig::SetEnabled | ( | bool | enabled | ) | `[inline]`

Enabled can be set to true or false.

void vmware::appliance::access::ShellTypes::ShellConfig::SetTimeout | ( | long | timeout | ) | `[inline]`

The timeout (in seconds) specifies how long you enable the Shell access.

The maximum timeout is 86400 seconds(1 day).

override string vmware::appliance::access::ShellTypes::ShellConfig::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ShellTypes.cs